org.h2.jdbc

## Interface JdbcStatementBackwardsCompat

All Known Implementing Classes:
  JdbcCallableStatement, JdbcPreparedStatement, JdbcStatement

    public interface JdbcStatementBackwardsCompat

Allows us to compile on older platforms, while still implementing the methods from the newer JDBC API.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `enquoteIdentifier(java.lang.String identifier, boolean alwaysQuote)` Enquotes the specified identifier.
`boolean` `isSimpleIdentifier(java.lang.String identifier)` Checks if specified identifier may be used without quotes.

### Method Detail

#### enquoteIdentifier

    java.lang.String enquoteIdentifier(java.lang.String identifier,
                                       boolean alwaysQuote)
                                throws java.sql.SQLException

Enquotes the specified identifier.

Parameters:
  `identifier` - identifier to quote if required
  `alwaysQuote` - if `true` identifier will be quoted unconditionally
Returns:
  specified identifier quoted if required or explicitly requested
Throws:
  `java.sql.SQLException` - on failure

#### isSimpleIdentifier

    boolean isSimpleIdentifier(java.lang.String identifier)
                        throws java.sql.SQLException

Checks if specified identifier may be used without quotes.

Parameters:
  `identifier` - identifier to check
Returns:
  is specified identifier may be used without quotes
Throws:
  `java.sql.SQLException` - on failure